package com.ruoyi.demo.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.DlUser;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class DlUserListVo {
    private String userId;
    private String userName;
    private String userTelephone;
    private String startEquipmentId;
    private String startEquipmentName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    private String endEquipmentId;
    private String endEquipmentName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    private BigDecimal totalPrice;

    public DlUserListVo(){}
    public DlUserListVo(DlUser user){
        this.userId = user.getUserId();
        this.userName = user.getUserName();
        this.userTelephone = user.getUserTelephone();
        this.startEquipmentId = user.getStartEquipmentId();
        this.startEquipmentName = user.getStartEquipmentName();
        this.startTime = user.getStartTime();
        this.endEquipmentId = user.getEndEquipmentId();
        this.endEquipmentName = user.getEndEquipmentName();
        this.endTime = user.getEndTime();
        this.totalPrice = user.getTotalPrice();
    }
}
