package com.ruoyi.demo.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.Plan;
import com.ruoyi.demo.utils.StateUtil;
import lombok.Data;

import java.util.Date;

// 广告推送计划列表
@Data
public class PlanPushListVo {
    private String planId;
//    private String goodsImg;
    private String goodsLogo;
    private String principalName;
    private String principalTelephone;
    private String state;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planStartTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planEndTime;
    private Integer equipmentCount;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date planCreateTime;

    public PlanPushListVo(){}
    public PlanPushListVo(Plan plan){
        this.planId = plan.getPlanId();
//        this.goodsImg = plan.getGoodsImg();
        this.goodsLogo = plan.getGoodsLogo();
        this.principalName = plan.getPrincipalName();
        this.principalTelephone = plan.getPrincipalTelephone();
        //this.planCreateTime = plan.getPlanCreateTime();
        this.planStartTime = plan.getPlanStartTime();
        this.planEndTime = plan.getPlanEndTime();
        this.state = StateUtil.getStateName(plan.getState());
    }
}
