package com.ruoyi.demo.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.Statistics;
import lombok.Data;

import java.util.Date;

@Data
public class ScanListVo {
    private String goodsId;
    private String goodsName;
    private String equipmentId;
    private String equipmentName;
    private String equipmentCode;
    private String addrInfo;
    private String userId;
    private String userName;
    private String userTelephone;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    public ScanListVo() {
    }

    public ScanListVo(Statistics statistics) {
        this.goodsId = statistics.getGoodsId();
        this.goodsName = statistics.getGoodsName();
        this.equipmentId = statistics.getEquipmentId();
        this.equipmentName = statistics.getEquipmentName();
        this.equipmentCode = statistics.getEquipmentCode();
        this.addrInfo = statistics.getAddrInfo();
        this.userId = statistics.getUserId();
        this.userName = statistics.getUserName();
        this.userTelephone = statistics.getUserTelephone();
        this.time = statistics.getTime();
    }
}
