package com.ruoyi.demo.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.demo.entity.AddrCategory;
import com.ruoyi.demo.entity.Equipment;
import com.ruoyi.demo.entity.MyPage;
import com.ruoyi.demo.entity.bo.PlanAddBo;
import com.ruoyi.demo.entity.bo.PlanBo;
import com.ruoyi.demo.entity.vo.*;

import java.util.List;

public interface PlanService {
    String getSign(PlanAddBo bo);
    int addPlan(PlanAddBo bo);
    int deletePlan(String id);
    int deletePlans(List<String> ids);

    // 审核广告
    int checkPlan(PlanBo bo,Long userId,String userName);

    MyPage<PlanListVo> getPlanList(PlanBo bo);
    PlanDetailVo getPlanDetail(String planId);
    List<PlanPushVo> getPlanPush(String equipmentId);
    List<PlanPushVo> getPlanPushByCode(String equipmentCode);

    // 上下架广告计划
    int planUpDown(String planId);

    MyPage<PlanManageListVo> getPlanManageList(PlanBo bo);
    PlanManageDetailVo getPlanManageDetail(String planId);
    MyPage<PlanPushListVo> getPlanPushList(PlanBo bo);
    MyPage<PlanPushStatisticsListVo> getPlanPushStatisticsList(PlanBo bo);
    void planPushStatisticsStart();

    PlanHomeVo getPlanTotal();
    List<AddrCategory> getAddrCategoryLevel(String code,String level);
    List<AddrCategory> getAddrCategory();
    Page<Equipment> getEquipments(PlanBo bo);
}
