package com.ruoyi.job.service;

import cn.hutool.core.date.DateUtil;
import com.ruoyi.demo.service.PlanService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.time.ZoneId;

@Slf4j
@Service
public class PlanPushService {
    @Autowired
    PlanService planService;

    @XxlJob("planPushJobHandler")
    public void start() throws Exception {
        XxlJobHelper.log("start planPushStatistics"+ DateUtil.date());
        planService.planPushStatisticsStart();
        XxlJobHelper.log("finish planPushStatistics"+ DateUtil.date());
    }
}
